### Method

# AppStreamCompose Compose set_desktop_entry_l10n_func

since: 0.15.1

#### Declaration [src]

    void
    asc_compose_set_desktop_entry_l10n_func (
      AscCompose* compose,
      AscTranslateDesktopTextFn func,
      gpointer user_data,
      GDestroyNotify udata_free_func
    )

#### Description [src]

Set a custom desktop-entry field localization functions to be run for specialized desktop-entry localization schemes such as used in Ubuntu.

The callback function may be called from any thread, so it needs to ensure thread safety on its own.

Any previously set callback is replaced, and its user data released using the destroy function it was registered with.

Available since: 0.15.1

#### Parameters

`func`

  Type: `AscTranslateDesktopTextFn`

  The `AscTranslateDesktopTextFn` function to be called.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  User data for `func`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`udata_free_func`

  Type: `GDestroyNotify`

  Function to free `user_data`.

  The argument can be `NULL`.